Package io.github.jdbcx.driver

# Class ConnectionManager

java.lang.Object
io.github.jdbcx.driver.ConnectionManager

All Implemented Interfaces:
  `AutoCloseable`

public final class ConnectionManager extends Object implements AutoCloseable

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Version`
`DRIVER_VERSION`
`static final String`
`JDBC_PREFIX`
`static final String`
`JDBCX_PREFIX`

## Constructor Summary

Constructors
Constructor
Description
`ConnectionManager(Map<String,DriverExtension> extensions, DriverExtension defaultExtension, Connection conn, String url, Properties extensionProps, Properties normalizedProps, Properties originalProps)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`static final <T> T`
`convertTo(Result<?> result, Class<T> clazz)`
`Connection`
`createConnection()`
`QueryContext`
`createContext()`
`JdbcActivityListener`
`createDefaultListener(QueryContext context)`
`JdbcActivityListener`
`createListener(QueryContext context)`
`static Result<?>`
`describe(DriverExtension ext, Properties props)`
`Properties`
`extractProperties(DriverExtension ext)`
`Connection`
`getConnection()`
`static final String`
`getDatabaseProduct(Connection conn)`
`DriverExtension`
`getDefaultExtension()`
`JdbcDialect`
`getDialect()`
`static final JdbcDialect`
`getDialect(String product)`
`DriverExtension`
`getExtension(String name)`
`Properties`
`getExtensionProperties()`
`List<DriverExtension>`
`getExtensions()`
`List<DriverExtension>`
`getMatchedExtensions(String pattern)`
`DatabaseMetaData`
`getMetaData(DatabaseMetaData metaData)`
`ParameterMetaData`
`getMetaData(ParameterMetaData metaData)`
`ResultSetMetaData`
`getMetaData(ResultSetMetaData metaData)`
`Properties`
`getNormalizedProperties()`
`Properties`
`getOriginalProperties()`
`String`
`getUrl()`
`static final String`
`normalize(String result, Properties props)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DRIVER_VERSION

public static final Version DRIVER_VERSION

### JDBC_PREFIX

public static final String JDBC_PREFIX

See Also:
  - Constant Field Values

### JDBCX_PREFIX

public static final String JDBCX_PREFIX

## Constructor Details

### ConnectionManager

public ConnectionManager(Map<String,DriverExtension> extensions, DriverExtension defaultExtension, Connection conn, String url, Properties extensionProps, Properties normalizedProps, Properties originalProps)

## Method Details

### describe

public static Result<?> describe(DriverExtension ext, Properties props)

### normalize

public static final String normalize(String result, Properties props)

### convertTo

public static final <T> T convertTo(Result<?> result, Class<T> clazz) throws SQLException

Throws:
  `SQLException`

### getDialect

public static final JdbcDialect getDialect(String product)

### getDatabaseProduct

public static final String getDatabaseProduct(Connection conn)

### close

public void close() throws SQLException

Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `SQLException`

### createConnection

public Connection createConnection()

### createContext

public QueryContext createContext()

### createDefaultListener

public JdbcActivityListener createDefaultListener(QueryContext context)

### createListener

public JdbcActivityListener createListener(QueryContext context) throws SQLException

Throws:
  `SQLException`

### extractProperties

public Properties extractProperties(DriverExtension ext)

### getConnection

public Connection getConnection()

### getDialect

public JdbcDialect getDialect()

### getDefaultExtension

public DriverExtension getDefaultExtension()

### getExtensions

public List<DriverExtension> getExtensions()

### getMatchedExtensions

public List<DriverExtension> getMatchedExtensions(String pattern) throws SQLException

Throws:
  `SQLException`

### getExtension

public DriverExtension getExtension(String name) throws SQLException

Throws:
  `SQLException`

### getUrl

public String getUrl()

### getExtensionProperties

public Properties getExtensionProperties()

### getOriginalProperties

public Properties getOriginalProperties()

### getNormalizedProperties

public Properties getNormalizedProperties()

### getMetaData

public DatabaseMetaData getMetaData(DatabaseMetaData metaData) throws SQLException

Throws:
  `SQLException`

### getMetaData

public ResultSetMetaData getMetaData(ResultSetMetaData metaData) throws SQLException

Throws:
  `SQLException`

### getMetaData

public ParameterMetaData getMetaData(ParameterMetaData metaData) throws SQLException

Throws:
  `SQLException`